Skip to main content
GET
/
library
/
v1beta1
/
{libId}
/
inboundEmails
cURL
curl --request GET \
  --url https://aodocs.altirnao.com/api/library/v1beta1/{libId}/inboundEmails \
  --header 'Authorization: Bearer <token>'
{
  "inboundEmails": [
    {
      "allowUnknownSenders": true,
      "classId": "<string>",
      "conversionMode": "NONE",
      "createdTime": "2023-11-07T05:31:56Z",
      "destinationFolderId": "<string>",
      "disableAllNotifications": true,
      "disableSuccessNotifications": true,
      "emailPrefix": "<string>",
      "fullEmail": "<string>",
      "id": "<string>",
      "importedParts": [
        "BODY"
      ],
      "kind": "<string>",
      "lastModifiedTime": "2023-11-07T05:31:56Z",
      "libraryId": "<string>",
      "ocrLocale": "<string>",
      "preferPlainTextBody": true,
      "removeThreadHistory": true,
      "templateDocumentId": "<string>"
    }
  ],
  "kind": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api.aodocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

libId
string
required

The ID of the library

Query Parameters

domain
string

The G Suite domain

securityCode
string

The security code

Response

200 - application/json

A ApiInboundEmailList response

inboundEmails
object[]
kind
string